astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Convolution and filtering (`astropy.convolution`) »
- kernel_arithmetics

# kernel_arithmetics

`astropy.convolution.``kernel_arithmetics`(kernel, value, operation)

  Add, subtract or multiply two kernels.

  Parameters:

  kernel : `astropy.convolution.Kernel`

  > Kernel instance

  value : kernel, float or int

  > Value to operate with

  operation : {‘add’, ‘sub’, ‘mul’}

  > One of the following operations:
  >   - ‘add’

  >       Add two kernels

  >   - ‘sub’

  >       Subtract two kernels

  >   - ‘mul’

  >       Multiply kernel with number or convolve two kernels.